org.apache.solr.spelling.suggest

## Class FileDictionaryFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.DictionaryFactory
  - - org.apache.solr.spelling.suggest.FileDictionaryFactory

-     public class FileDictionaryFactory
      extends DictionaryFactory

  Factory for `FileDictionary`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIELD_DELIMITER` Label for defining fieldDelimiter to be used

    - ### Fields inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `DEFAULT_FILE_BASED_DICT, DEFAULT_INDEX_BASED_DICT, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDictionaryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dictionary` | `create(SolrCore core, SolrIndexSearcher searcher)` Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries

    - ### Methods inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_DELIMITER

          public static final String FIELD_DELIMITER

      Label for defining fieldDelimiter to be used
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileDictionaryFactory

          public FileDictionaryFactory()

  - ### Method Detail

    - #### create

          public Dictionary create(SolrCore core,
                                   SolrIndexSearcher searcher)

      Description copied from class: `DictionaryFactory`
      Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries
      Specified by:
        `create` in class `DictionaryFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.